Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class ReadWriteBackingMap.CacheLoaderCacheStore

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.AbstractCacheLoader
com.tangosol.net.cache.AbstractCacheStore
com.tangosol.net.cache.ReadWriteBackingMap.CacheLoaderCacheStore`

All Implemented Interfaces:
  CacheLoader, CacheStore

Enclosing class:
  ReadWriteBackingMap

      public static class ReadWriteBackingMap.CacheLoaderCacheStore

extends AbstractCacheStore

A CacheStore wrapped around a CacheLoader.

Author:
  cp 2002.06.04

Constructor Summary
`ReadWriteBackingMap.CacheLoaderCacheStore(CacheLoader loader)` Construct a CacheLoaderCacheStore.

Method Summary
`protected CacheLoader` | `getCacheLoader()` The wrapped CacheLoader.
`Object` | `load(Object oKey)` Return the value associated with the specified key, or null if the key does not have an associated value in the underlying store.
`Map` | `loadAll(Collection colKeys)` Return the values associated with each the specified keys in the passed collection.

Methods inherited from class com.tangosol.net.cache.AbstractCacheStore
`erase, eraseAll, store, storeAll`

Constructor Detail

### ReadWriteBackingMap.CacheLoaderCacheStore

    public ReadWriteBackingMap.CacheLoaderCacheStore(CacheLoader loader)

  Construct a CacheLoaderCacheStore.
  Parameters:
    `loader` - the CacheLoader to wrap

Method Detail

### load

    public Object load(Object oKey)

  Return the value associated with the specified key, or null if the key does not have an associated value in the underlying store.
  Specified by:
    `load` in interface `CacheLoader`
  Specified by:
    `load` in class `AbstractCacheLoader`
  Parameters:
    `oKey` - key whose associated value is to be returned
  Returns:
    the value associated with the specified key, or `null` if no value is available for that key

### loadAll

    public Map loadAll(Collection colKeys)

  Return the values associated with each the specified keys in the passed collection. If a key does not have an associated value in the underlying store, then the return map will not have an entry for that key.
  Specified by:
    `loadAll` in interface `CacheLoader`
  Overrides:
    `loadAll` in class `AbstractCacheLoader`
  Parameters:
    `colKeys` - a collection of keys to load
  Returns:
    a Map of keys to associated values for the specified keys

### getCacheLoader

    protected CacheLoader getCacheLoader()

  The wrapped CacheLoader.
  Returns:
    the underlying CacheLoader that this CacheStore wraps

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.